Loading...
Searching...
No Matches
IODCommonInstanceReferenceModule Class Reference

Class representing the Common Instance Reference Module: More...

Inheritance diagram for IODCommonInstanceReferenceModule:

## Classes

class | StudiesOtherInstancesItem
| Class representing items from the Studies Containing Other Referenced Instances Sequence, as used within the Common Instance Reference Module. More...

## Public Member Functions

| IODCommonInstanceReferenceModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODCommonInstanceReferenceModule ()
| Constructor.
virtual void | clearData ()
| Clears all data belonging to this module (rules are kept).
virtual | ~IODCommonInstanceReferenceModule ()
| Destructor.
virtual size_t | addReferences (const IODReferences &references, const OFString &studyInstanceUID="", const OFBool clearOldData=OFTrue)
| Add references.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read data of this module from given source item.
virtual OFCondition | write (DcmItem &destination)
| Write data of this module into given destination item.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module ("CommonInstanceReferenceModule").
OFVector< IODSeriesAndInstanceReferenceMacro::ReferencedSeriesItem * > & | getReferencedSeriesItems ()
| Return reference to list of Referenced Series items.
OFVector< StudiesOtherInstancesItem * > & | getStudiesContainingOtherReferences ()
| Return reference to content of Studies Containing Other Referenced Instances Sequence.
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Private Attributes

OFVector< IODSeriesAndInstanceReferenceMacro::ReferencedSeriesItem * > | m_ReferenceSeriesItems
| Vector with all items of the Referenced Series Sequence.
OFVector< StudiesOtherInstancesItem * > | m_StudiesContainingOtherReferencedInstancesSequence
| Items of Studies Containing Other Referenced Instances Sequence.

## Static Private Attributes

static const OFString | m_ComponentName
| Name of this component ("CommonInstanceReferenceModule").

## Additional Inherited Members

Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the Common Instance Reference Module:

Referenced Series Sequence: (SQ, VM 1-n, Type 1C)

> Series Instance UID: (UI, 1, 1) Referenced Instance Sequence: (SQ, 1-n, 1)

> > SOP Instance Reference Macro Studies Containing Other Referenced Instances Sequence: (SQ, 1-n, 1C)

> Study Instance UID (UI, 1, 1) Series and Instance Reference Macro

Thus the Common Instance Reference Module lists references to other SOP instances and divides them between those instances that are in the same study, and those that are inside another study.

## Constructor & Destructor Documentation

## IODCommonInstanceReferenceModule()

IODCommonInstanceReferenceModule::IODCommonInstanceReferenceModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## addReferences()

virtual size_t IODCommonInstanceReferenceModule::addReferences | ( | const IODReferences & | references,
|  | const OFString & | studyInstanceUID = "",
|  | const OFBool | clearOldData = OFTrue )

virtual

Add references.

Parameters

  references | The references to be added

  studyInstanceUID

  The Study Instance UID of "this" object instance. It's used to decide whether the provided instances (with their own Study Instance UIDs) will go into the Referenced Series Sequence or into the Studies Containing Other Referenced Instances Sequence. If it is left empty, then the method tries to find "this" instances Study Instance UID in the internal item container which may be shared with other modules and thus may already provide the Study Instance UID (e.g. via General Study Module).

  clearOldData | Delete any old references if OFTrue, otherwise keep them

Returns
  EC_Normal if successful, error otherwise

## getName()

virtual OFString IODCommonInstanceReferenceModule::getName | ( |  | ) | const

virtual

Get name of module ("CommonInstanceReferenceModule").

Returns
  Name of the module ("CommonInstanceReferenceModule")

Implements IODComponent.

## getReferencedSeriesItems()

OFVector< IODSeriesAndInstanceReferenceMacro::ReferencedSeriesItem * > & IODCommonInstanceReferenceModule::getReferencedSeriesItems | ( |  | ) |

Return reference to list of Referenced Series items.

Returns
  Reference to list of Reference Series Items

## getStudiesContainingOtherReferences()

OFVector< StudiesOtherInstancesItem * > & IODCommonInstanceReferenceModule::getStudiesContainingOtherReferences | ( |  | ) |

Return reference to content of Studies Containing Other Referenced Instances Sequence.

Returns
  Reference to content of Studies Containing Other Referenced Instances Sequence

## read()

virtual OFCondition IODCommonInstanceReferenceModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )

virtual

Read data of this module from given source item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue, old data is cleared before reading, otherwise it is overwritten/amended.

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

## write()

virtual OFCondition IODCommonInstanceReferenceModule::write | ( | DcmItem & | destination | ) |

virtual

Write data of this module into given destination item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modcommoninstanceref.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0